unit Resources;

interface
const
  AssetsPath = 'assets\';
    AssetChivalryMedievalWarfareMapListFileName = 'Chivalry.MedievalWarfare.MapList.ini';
    AssetMapPreviewPath = 'maps\';
    AssetMapPreviewExtension = '.jpg';


  UserDataPath = 'Chivalry Server Launcher\';
    UserGamesFileName = 'Games.json';


  function GetAssetPath(const AAsset: string): string;
  function GetUserDataPath(const AAsset: string): string;

implementation
uses
  System.SysUtils,

  X2UtApp;


function GetAssetPath(const AAsset: string): string;
begin
  Result := App.UserPath + UserDataPath + AssetsPath + AAsset;

  if not FileExists(Result) then
    Result := App.Path + AssetsPath + AAsset;
end;


function GetUserDataPath(const AAsset: string): string;
begin
  Result := App.UserPath + UserDataPath + AAsset;
end;

end.
